Retrieves an object of the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "b033010e-9dae-4696-9329-e1d5495dd5db",
"_parent_id": "48fadd2e-ecf2-406a-888b-cf1291894558",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "582a6a19-8e1b-4b9e-bdfd-ca7b8d7b3fd4",
"company_id": "3280a8f5-3c55-4e43-8a3a-a3eadf8b9346",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "fbaa7a40-3cd1-4884-844e-f2edffe8b7d4",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "c805fc79-05f8-4dff-8f38-06a9466f009a",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "223db978-7322-403d-bee0-be6775f87d89",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "ec5c561b-a07a-4beb-9338-b80073ba2c78",
"company_code": "sample string 5",
"company": {
"id": "db0970ad-600f-4cef-860c-75aa0bdd1c47",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-19T21:38:34.5454275+00:00",
"sales_territory_id": "20298748-de2b-40ed-991a-472bff662429",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "a04439ee-3361-4d79-ae5e-b064fe163502",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "ddac5814-a545-4974-bbf7-2ac031fc05ec",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "55db5560-71f3-4da8-a466-42357f752895",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "11b034eb-8eb5-43f4-b45c-ef80e300c3b5",
"db_currency_id": "9a2c9b47-136c-4405-8966-502c840ddca7",
"db_language_id": "5404219c-869d-4963-a78d-5cc35d3f18ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00"
},
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00"
},
"marketing_segment_id": "9bfee2fd-863c-4ff5-879d-3648d8507f8c",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "212760ab-16f1-419e-bc6d-da6f23bedff2",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "d3a4f66a-b487-4004-8971-815abde1954d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "476fbadd-3ba9-4ac9-a92f-3af92c672ded",
"db_country_code": "sample string 28",
"feelist_id": "2d5e8f90-ec44-4b91-b03d-63a08062643f",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "d3706600-6c81-49c5-b133-2a0c6be1aac7",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "1997326d-e84a-4c57-9ab4-e9126526fc68",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00",
"db_currency_id": "2493ee29-d69e-48e6-9bb2-67a7488b5f8f",
"db_currency_code": "sample string 10"
},
"company_type_id": "9bb59ae4-06aa-46b1-80aa-132bde967333",
"company_type_name": "sample string 32",
"company_type": {
"id": "7004941f-406f-44ff-a48d-d04a5cbc16ce",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "c0e1cc96-aad0-44e0-8fd5-15404d7de617",
"sales_organization_code": "sample string 5"
},
"db_language_id": "1c0ec5eb-828a-4e66-ae61-82304a551635",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "5f1a273c-ff4c-414b-9951-2fcb727fe3a0",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "59c965c8-412e-45d5-9acb-a965d032e3f4",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "9fac5e8c-febc-4221-8f33-8566a7b00aad",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00"
},
"company_sector_id": "d610755e-02b9-438a-b088-ff4c75bd1da7",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "4f26f365-372f-48b2-97d1-5d304304d447",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "7992fa7c-0f05-4770-b3ed-ee5aa2c39b8d",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "5fd5368d-0cc7-43c9-85f6-062899205ab5",
"account_manager_user_code": "sample string 56",
"company_status_id": "f1eade20-dccd-4594-83ca-0a944a49c5aa",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00",
"id2": 60
},
"db_language_id": "c088b037-d4e7-4938-9d0b-475ff938a870",
"db_language_code": "sample string 7",
"db_title_id": "181bd53e-2f91-4130-ac72-a21ec25cb903",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-19T21:38:34.5454275+00:00",
"create_date": "2026-10-19T21:38:34.5454275+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00"
},
"modified_dateutc": "2026-10-19T21:38:34.5454275+00:00",
"id2": 22
}